# BiasTilt
### A metric to measure bias in Machine Learning models

## Description
BiasTilt is a metric that can be used to measure biases in classification models.

## Requirements

To run this project, you'll need to have the following installed:

- Python 3.x
- pip (Python package installer)

### Installing Dependencies

You can install the required Python libraries by running the following command in your terminal:

```console
pip install -r requirements.txt
```

## Usage
The following files and folders contain the following data:
- ``bias_tilt_example.ipynb`` is the core part of the project and is a working example of BiasTilt
- ``datasets/data`` contains the dataset
    - ``dataset/data/data`` contains the resumes in their original format. Each resume is stored in a separate .pdf file
    - ``dataset/Resume/Resume.csv`` contains every resume stored in one big .csv file
- ``data_inspection.ipynb`` can be used get an overview of the data distribution in the dataset as well as get examples of gender-indicating terms and sentences
- ``requirements.txt`` contains a list of all libraries needed for this project